package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserGroupDetail;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserGroupDetailSearchContext;

/**
 * 实体[UserGroupDetail] 服务对象接口
 */

public interface IUserGroupDetailService{
     UserGroupDetail get(String userGroupDetailId) ;
     UserGroupDetail get(UserGroupDetail userGroupDetail) ;
     UserGroupDetail getDraft(UserGroupDetail userGroupDetail) ;
     boolean create(UserGroupDetail userGroupDetail) ;
     boolean save(UserGroupDetail userGroupDetail) ;
     boolean checkKey(UserGroupDetail userGroupDetail) ;
     boolean update(UserGroupDetail userGroupDetail) ;
     boolean remove(String userGroupDetailId) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserGroupDetail> searchDefault(UserGroupDetailSearchContext context) ;

    /**
     * 根据用户对象组查询
     */
     Page<UserGroupDetail> selectByUserGroup(String usergroupid) ;
     List<UserGroupDetail> selectByUserGroup2(String usergroupid);

    /**
     * 根据用户对象查询
     */
     Page<UserGroupDetail> selectByUserObject(String userobjectid) ;
     List<UserGroupDetail> selectByUserObject2(String userobjectid);

}
